ipa-dns-install(1)

NAME
ipa-dns-install - Add DNS as a service to an IPA server

SYNOPSIS
ipa-dns-install [OPTION]...

DESCRIPTION
Adds DNS as an IPA-managed service. This requires that the IPA server is already installed and configured.

OPTIONS

-p DM_PASSWORD, --ds-password=DM_PASSWORD
    The password to be used by the Directory Server for the Directory Manager user

-d, --debug
    Enable debug logging when more verbose output is needed

--ip-address=IP_ADDRESS
    The IP address of the IPA server. If not provided then this is determined based on the hostname of the server.

--forwarder=FORWARDER
    A forwarder is a DNS server where queries for a specific non-resolvable address can be directed. To define multiple forwarders use multiple instances of --forwarder

--no-forwarders
    Do not add any DNS forwarders, send non-resolvable addresses to the DNS root servers.

--reverse-zone=REVERSE_ZONE
    The reverse DNS zone to use

--no-reverse
    Do not create new reverse DNS zone. If used on a replica and a reverse DNS zone already exists for the subnet, it will be used.

--zonemgr
    The e-mail address of the DNS zone manager. Defaults to hostmaster@DOMAIN

-U, --unattended
    An unattended installation that will never prompt for user input

EXIT STATUS
0 if the installation was successful 1 if an error occurred